// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

/**
 * Dart wrapper for PhoneGap
 */
library handheld;

import "package:js/js.dart" as js;

import "src/handheld_api.dart";
export "src/handheld_api.dart";
import "src/handheld_impl.dart";

/**
 * Entry point
 */
Handheld get handheld => new Handheld(new HandheldModule());

/**
 * Helper function useful for application debugging, forces the device ready event
 */
setDeviceReady() {
  js.scoped(() {
    js.context.handheldReady();
  });
}


