// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_api;

abstract class SQLBatch {
  /**
   * Batch SQL commands to run against database
   */
  SQLBatch batchSql(String sql);

  /**
   * Execute all SQL commands in batch and return their result
   */
  Future<SQLBatchResult> executeBatch();
}
