// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_api;

/**
 * The result of running a batch of SQL queries
 */
abstract class SQLBatchResult {
  List<SQLResult> get results;

  /**
   * Convinece function to get entry in batch result
   */
  SQLResult operator[](int index);

  /**
   * Convinece function to loop over each entry in the batch result
   */
  forEach(f(SQLResult result));
}
