// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

library handheld_impl;

import "handheld_api.dart";

import "package:dice/dice.dart";
import "package:js/js.dart" as js;
import "package:log4dart/log4dart.dart";

part "impl/js_handlers.dart";

class HandheldModule extends Module {
  configure() {
    bind(DeviceReadyHandler).toInstance(deviceReadyHandler);
    bind(DeviceInfoLoader).toInstance(deviceInfoLoader);
  }
}


