// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_api;

/**
 * Device screen information
 */
class DeviceScreen {
  DeviceScreen(this.height, this.width, this.colorDepth);
  
  /**
   * Get the device exact screen height
   */
  final int height;

  /**
   * Get the device's exact screen width
   */
  final int width;

  /**
   * Get the device's operating system name.
   */
  final int colorDepth;
}


