// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_api;

/**
 * The result of running a SQL query
 */
abstract class SQLResult {
  /**
   * The query executed
   */
  String get query;

  /**
   * The result set of the query
   */
  List<Map> get result;

  /**
   * Convinece function to get entry in SQL result
   */
  Map operator[](int index);

  /**
   * Convinece function to loop over each entry in the SQL result
   */
  forEach(f(Map data));
}

