// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

library handheld_test;

import "../lib/handheld_dev.dart";
import "package:dice/dice.dart";
import "package:unittest/unittest.dart";

part "handheld_test_utils.dart";

main() {
  group("handheld -", () {
    handheld(new TestModule()).onDeviceReady.then((Device device) {
      test("onDeviceReady", () {
        expect(device, isNotNull);
      });
      
      test("device info", () {
        expect(device.info.name, isNotNull);
        expect(device.info.screen.width, equals(320));
      });
    });
  });
}


