// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_test;

// TODO somehow ship this test module with the software
class TestModule extends Module {
  configure() {
    bind(DeviceReadyHandler).toInstance(_mockDeviceReadyHandler);
    bind(DeviceInfoLoader).toInstance(_mockDeviceInfoLoader);
  }
  
  _mockDeviceReadyHandler(Completer<Device> completer, Injector injector) {
    completer.complete(new Device(injector));
  }
  
  // return mock device info
  DeviceInfo _mockDeviceInfoLoader() {
    var screen = new DeviceScreen(420, 320, 32);
    return new DeviceInfo("name", "cordovaVersion", "platform", "platformVersion", "uuid", screen);
  }
}